Bug 623723 - SELinux is preventing /usr/sbin/sshd "getattr" access on /cgroup/systemd.
SELinux is preventing /usr/sbin/sshd "getattr" access on /cgroup/systemd.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
14
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:8498041b2c2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-12 11:44 EDT by Gavin Romig-Koch
Modified: 2010-08-23 21:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.8.8-14.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 21:50:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gavin Romig-Koch 2010-08-12 11:44:25 EDT
Summary:

SELinux is preventing /usr/sbin/sshd "getattr" access on /cgroup/systemd.

Detailed Description:

SELinux denied access requested by sshd. It is not expected that this access is
required by sshd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:sshd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:cgroup_t:s0
Target Objects                /cgroup/systemd [ dir ]
Source                        sshd
Source Path                   /usr/sbin/sshd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           openssh-server-5.5p1-18.fc14
Target RPM Packages           
Policy RPM                    selinux-policy-3.8.8-10.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35-3.fc14.x86_64 #1 SMP Fri
                              Aug 6 19:41:28 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Thu 12 Aug 2010 11:40:19 AM EDT
Last Seen                     Thu 12 Aug 2010 11:40:19 AM EDT
Local ID                      16c4e090-9014-4251-a148-911329e1392b
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1281627619.221:2355): avc:  denied  { getattr } for  pid=31387 comm="sshd" path="/cgroup/systemd" dev=cgroup ino=8579 scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cgroup_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1281627619.221:2355): arch=c000003e syscall=6 success=no exit=-13 a0=7f8d11c6548b a1=7fff3a8bdf70 a2=7fff3a8bdf70 a3=1 items=0 ppid=1150 pid=31387 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=500 fsgid=0 tty=(none) ses=4 comm="sshd" exe="/usr/sbin/sshd" subj=system_u:system_r:sshd_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,sshd,sshd_t,cgroup_t,dir,getattr
audit2allow suggests:

#============= sshd_t ==============
allow sshd_t cgroup_t:dir getattr;
Comment 1 Daniel Walsh 2010-08-13 14:27:59 EDT
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.8.8-14.fc14
Comment 2 Fedora Update System 2010-08-13 16:29:55 EDT
selinux-policy-3.8.8-14.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-14.fc14
Comment 3 Fedora Update System 2010-08-23 21:49:24 EDT
selinux-policy-3.8.8-14.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.